%define oname   activesupport

Name:       ruby-%{oname}
Version:    2.3.11
Release:    %mkrel 1
Summary:    Support and utility classes used by the Rails framework
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   rubygem(builder) >= 2.1.2
Requires:   rubygem(i18n) >= 0.4.1
Requires:   rubygem(tzinfo) >= 0.3.13
Requires:   rubygem(memcache-client) >= 1.7.5
BuildArch:  noarch

%description
Utility library which carries commonly used classes and goodies from the
Rails framework

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
#don’t include vendor when possible
rm -rf lib/vendor/
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50617
- new version 2.3.11

* Fri Jan 28 2011 shikamaru <shikamaru> 2.3.10-4.mga1
+ Revision: 42514
- add requires

* Fri Jan 28 2011 shikamaru <shikamaru> 2.3.10-3.mga1
+ Revision: 42498
- delete optional vendor directory
- imported package ruby-activesupport


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.3.10-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618305
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585825
- bump release

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579503
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2011.0
+ Revision: 438619
- Update to new version 2.3.4

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 402805
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385322
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269230
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214636
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151202
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 17549
- 1.4.2

  + Pascal Terjan <pterjan@mandriva.org>
    - ri is now in ri/ and not ri/ri/
    - Use Development/Ruby group


* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.3.1-1mdv2007.0
- 1.3.1
- install gemspec
- don't try to fix /usr/local path, there is no binary

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.2.5-2mdk
- Don't ship too much ri, else we get conflicts
- Use global macros

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 1.2.5-1mdk
- First Mandriva release

